﻿@model Imza.WebNet.Servis.Models.GunlukLimit

@{
    ViewBag.Modul = "Online İşlemler";
    ViewBag.Title = "Günlük Harcama Limiti";
    Layout = "~/Views/Shared/Index.cshtml";
}
<div class="row">
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Günlük Harcama Limiti İşlemleri</h4>
            </div>
            <div class="widget-content">
                <form class="form-horizontal row-border" action="" method="post">
                    @{
                        if (!string.IsNullOrEmpty(ViewBag.Mesaj))
                        {
                            
                            <div class="alert alert-success fade in">
                                <i class="icon-remove close" data-dismiss="alert"></i>
                                <span id="bilgilendirme2">@ViewBag.Mesaj</span>
                            </div>
                        }
                        
                    }
                    
                    
                    <div class="alert alert-info fade in">
                        <i class="icon-remove close" data-dismiss="alert"></i>
                        <span id="bilgilendirme">Günlük Harcama Limitini Görmek için Lütfen Öğrenciyi ve Satış Kategorisini Seçiniz.</span>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">Öğrenci Seçin:</label>
                        <div class="col-md-10">@Html.DropDownList("OGRENCIID", ViewBag.OgrenciData as SelectList, String.Empty, new {@class = "select2-select-00 col-md-12 full-width-fix"})</div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">Kategori Seçin:</label>
                        <div class="col-md-10">@Html.DropDownList("KATEGORIGRUPID", ViewBag.KategoriGrupId as SelectList, String.Empty, new {@class = "select2-select-00 col-md-12 full-width-fix"})</div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">Günlük Limiti Belirleyin:</label>
                        <div class="col-md-10"><input class="form-control" type="text" name="GUNLUKLIMIT" placeholder="Günlük Harcama Limitini Giriniz.">
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="submit" value="Limiti Güncelle" class="btn btn-primary pull-right">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



<script type="text/javascript">
    function limitBelirle(value) {
    
        $("#OGRENCIID").val(value);
    }
    $("#limitKaydet").click(function () {

        window.location = "/Ogrenciler/Index?OGRENCIID=" +
            $("#OGRENCIID").val() +
            "&HARCAMALIMITI=" +
            $("#HARCAMALIMITI").val();

        //    var json = { "OGRENCIID": $("#OGRENCIID").val(), "HARCAMALIMITI": $("#HARCAMALIMITI").val() };

        //    $.ajax({
        //contentType : "text/plain",
        //        type: "POST",
        //        data: "",

        //        dataType: "text",
        //        url: "/Ogrenciler/Index?OGRENCIID=" + $("#OGRENCIID").val() + "&HARCAMALIMITI=" + $("#HARCAMALIMITI").val(),
        //        success: function (msg) {

        //            limitBelirle("");
        //            $("#response").html(msg);

        //            $('#modal').modal('hide');

        //        }
        //    });
        //    return false;
    });


    $(document).ready(function () {

        $('#OGRENCIID').change(function () {

            // read the dropdown selection
            var val = $(this).val();

            //alert(val);
            //$('#bilgilendirme').html(val);
            // read the url to send data to
            //var url = $(this).closest("form").attr("action");

            ////read the input value
            //var term = $("#term").val();

            //// make the ajax call
            //$('#getOurSlider').load(url, { searchType: val, term: term });
        });
        $('#KATEGORIGRUPID').change(function () {

            // read the dropdown selection
            var vKategoriId = $(this).val();
            var vOgrenciId = $('#OGRENCIID').val();

            var vOgrenciAdi = $('#OGRENCIID').find("option:selected").text();
            var vKategoriAdi = $(this).find("option:selected").text();
            var vBakiye = 0;

            var Student = {
                ID: vOgrenciId,
                KategoriID: vKategoriId
            };

            if (vOgrenciId>0) {
                


                $.ajax({
                    type: "POST",
                    url: "/GunlukLimit/GetLimit",
                    data: Student,
                    contentType: 'application/x-www-form-urlencoded',
                    datatype: "html",
                    success: function (data) {

                        $('#bilgilendirme').html(data.msg);
                      //  alert(data.msg);
                    },
                    error: function () {
                        alert("Error occured!!");
                    }
                });

                //alert(val);
                //$('#bilgilendirme').html(vMetin);
            } else {
                alert("Lutfen once ogrenciyi seciniz.");
            }
            // read the url to send data to
            //var url = $(this).closest("form").attr("action");

            ////read the input value
            //var term = $("#term").val();

            //// make the ajax call
            //$('#getOurSlider').load(url, { searchType: val, term: term });
        });

    });
</script>